petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetDimension

Set the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetDimension(DM dm, PetscInt dim)

Collective on dm

### Input Parameters

| dm | - The DM
| dim | - The topological dimension

### See Also

DMGetDimension(), DMCreate()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex19.c.html
src/dm/examples/tutorials/ex20.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages